Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class MessageMetadataType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.MessageMetadataType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class MessageMetadataType extends Object implements Serializable
Generiek type voor de algemene informatie van een bericht.

Java class for MessageMetadataType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MessageMetadataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SSIN" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}SSINType"/>
             <element name="EnterpriseNumber" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}EnterpriseNumberType"/>
             <element name="CareProviderReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareProviderReferenceType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageMetadataType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCareProviderReference()`
  Veld voor het intern identificatie-nummer van de aanvraag van de verstrekker.
  `String`
  `getEnterpriseNumber()`
  Ondernemingsnummer van de firma van de verstrekker.
  `String`
  `getSSIN()`
  INSZ van de zorgvrager.
  `void`
  `setCareProviderReference(String value)`
  Sets the value of the careProviderReference property.
  `void`
  `setEnterpriseNumber(String value)`
  Sets the value of the enterpriseNumber property.
  `void`
  `setSSIN(String value)`
  Sets the value of the ssin property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MessageMetadataType

    public MessageMetadataType()

- ## Method Details

  - ### getSSIN

    public String getSSIN()
    INSZ van de zorgvrager.
    Returns:
      possible object is `String`

  - ### setSSIN

    public void setSSIN(String value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSSIN()`

  - ### getEnterpriseNumber

    public String getEnterpriseNumber()
    Ondernemingsnummer van de firma van de verstrekker.
    Returns:
      possible object is `String`

  - ### setEnterpriseNumber

    public void setEnterpriseNumber(String value)
    Sets the value of the enterpriseNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEnterpriseNumber()`

  - ### getCareProviderReference

    public String getCareProviderReference()
    Veld voor het intern identificatie-nummer van de aanvraag van de verstrekker. De verstrekker kan zelf kiezen om dit toe te voegen of niet, is vooral om het voor de verstrekkers eenvoudiger te maken hun aanvragen te identificeren. Indien de verstrekker een eigen referentie toevoegt in de vraag, zal deze altijd worden opgenomen in het antwoord.
    Returns:
      possible object is `String`

  - ### setCareProviderReference

    public void setCareProviderReference(String value)
    Sets the value of the careProviderReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareProviderReference()`